Package org.jbpm.ruleflow.core.factory

## Class JoinFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory<org.kie.api.fluent.JoinNodeBuilder<T>,​T>
  - - org.jbpm.ruleflow.core.factory.JoinFactory<T>

- All Implemented Interfaces:
    `org.kie.api.fluent.JoinNodeBuilder<T>`, `org.kie.api.fluent.NodeBuilder<org.kie.api.fluent.JoinNodeBuilder<T>,​T>`

      public class JoinFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>
      extends NodeFactory<org.kie.api.fluent.JoinNodeBuilder<T>,​T>
      implements org.kie.api.fluent.JoinNodeBuilder<T>

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `node, nodeContainer, nodeContainerFactory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JoinFactory​(T nodeContainerFactory, NodeContainer nodeContainer, long id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Join` | `getJoin()` |
    `JoinFactory<T>` | `name​(String name)` |
    `JoinFactory<T>` | `type​(int type)` |
    `JoinFactory<T>` | `type​(String n)` |

    - ### Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `done, getNode, setId, setMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.fluent.NodeBuilder

      `done, setMetadata`

- - ### Constructor Detail

    - #### JoinFactory

          public JoinFactory​(T nodeContainerFactory,
                             NodeContainer nodeContainer,
                             long id)

  - ### Method Detail

    - #### getJoin

          protected Join getJoin()

    - #### name

          public JoinFactory<T> name​(String name)

      Specified by:
        `name` in interface `org.kie.api.fluent.NodeBuilder<org.kie.api.fluent.JoinNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>,​T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>`
      Overrides:
        `name` in class `NodeFactory<org.kie.api.fluent.JoinNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>,​T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>`

    - #### type

          public JoinFactory<T> type​(int type)

      Specified by:
        `type` in interface `org.kie.api.fluent.JoinNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>`

    - #### type

          public JoinFactory<T> type​(String n)

      Specified by:
        `type` in interface `org.kie.api.fluent.JoinNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>`